Subject: Re: bug#40998: Guix System's initrd doesn't honor rootflags

From: Ludovic Courtès <[email-masked]>
Date: Sun, 27 Feb 2022 22:08:23 +0100

Maxim Cournoyer <[email-masked]> skribis:

> * gnu/build/linux-boot.scm (boot-system): Print command-line parameters to
> standard output.
> ---
>  gnu/build/linux-boot.scm | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/gnu/build/linux-boot.scm b/gnu/build/linux-boot.scm
> index 2f8b114806..30442ec8f8 100644
> --- a/gnu/build/linux-boot.scm
> +++ b/gnu/build/linux-boot.scm
> @@ -542,6 +542,8 @@ (define (device-string->file-system-device device-string)
>               (root-fs*    (find root-mount-point? mounts))
>               (fsck.mode (find-long-option "fsck.mode" args)))
>  
> +        (format #t "initrd command-line parameters: ~a~%" args)

I’d happily avoid being too talkative by default, but maybe we could
honor a ‘gnu.verbosity’ parameter to get different levels of early-boot
logging?  :-)

Anyway, it’s a nice patch series.

Thanks,
Ludo’.